import { __decorate } from "tslib";
import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { join } from "path";
import { ServeStaticModule } from '@nestjs/serve-static';
import configs from './config';
let AppModule = class AppModule {
};
AppModule = __decorate([
    Module({
        imports: [
            ServeStaticModule.forRoot({
                rootPath: join(__dirname, './anniversary'),
                serveRoot: configs.appHome,
                exclude: ['/api*'],
            }),
        ],
        controllers: [AppController],
        providers: [
            AppService
        ],
    })
], AppModule);
export { AppModule };
//# sourceMappingURL=app.module.js.map